Permissions to run builds manually
by Ala Hino
Hello,
I created a user, ahino, in Jenkins but cannot run builds manually.
Can you please assign the appropriate permissions to me so I can trigger
builds manually?
Thanks,
Ala
8 years, 1 month
Build failed in Jenkins: ovirt_master_system-tests #577
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_master_system-tests/577/changes>
Changes:
[Yaniv Kaul] Fix Glance provider list test
------------------------------------------
[...truncated 683 lines...]
## took 1822 seconds
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log enties: logs/mocker-fedora-24-x86_64.fc24.basic_suite_master.sh/basic_suite_master.sh.log
##!
+ true
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
Took 1661 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=master
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_master_system-tests] $ /bin/bash -xe /tmp/hudson2244514957989166457.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=master
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/>
+ OVIRT_SUITE=master
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_master_system-tests/577/artifact/expor...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_master_system-tests/577/artifact/expor...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> ]]
+ mv <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_master_system-tests/577/artifact/expor...>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_master_system-tests] $ /bin/bash -xe /tmp/hudson6392060051478685986.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
./ovirt-system-tests/logs/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.basic_suite_master.sh/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.basic_suite_master.sh/basic_suite_master.sh.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/root.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/state.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/build.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/root.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/state.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/build.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.clean_rpmdb/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.clean_rpmdb/stdout_stderr.log
+ rm -rf ./ovirt-system-tests/logs
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-fedora-24-x86_64.fc24.cfg
+ mock_root=mocker-fedora-24-x86_64.fc24
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-fedora-24-x86_64.fc24'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-tests> --root=mocker-fedora-24-x86_64.fc24 --resultdir=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te....> Using default...
INFO: mock.py version 1.2.17 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...>
+ mock_root=fedora-24-x86_64-4ddbe48c8f8b7d8c2c3635b52313f04a
+ [[ -n fedora-24-x86_64-4ddbe48c8f8b7d8c2c3635b52313f04a ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep fedora-24-x86_64-4ddbe48c8f8b7d8c2c3635b52313f04a
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/fedora-24-x86_64-4ddbe48c8f8b7d8c2c3635b52313f04a
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
Archiving artifacts
8 years, 1 month
oVirt infra daily report - unstable production jobs - 89
by jenkins@jenkins.phx.ovirt.org
------=_Part_307_1273890124.1474930807610
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
Good morning!
Attached is the HTML page with the jenkins status report. You can see it also here:
- http://jenkins.ovirt.org/job/system_jenkins-report/89//artifact/exported-...
Cheers,
Jenkins
------=_Part_307_1273890124.1474930807610
Content-Type: application/octet-stream; name=upstream_report.html
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename=upstream_report.html
Content-ID: <upstream_report.html>
<!DOCTYPE html><head><style type="text/css">
table.gridtable {
border-collapse: collapse;
table-layout:fixed;
width:1600px;
font-family: monospace;
font-size:13px;
}
.head {
font-size:20px;
font-family: arial;
}
.sub {
font-size:18px;
background-color:#e5e5e5;
font-family: arial;
}
pre {
font-family: monospace;
display: inline;
white-space: pre-wrap;
white-space: -moz-pre-wrap !important;
white-space: -pre-wrap;
white-space: -o-pre-wrap;
word-wrap: break-word;
}
</style>
</head>
<body>
<table class="gridtable" border=2>
<tr><th colspan=2 class=head>
RHEVM CI Jenkins Daily Report - 26/09/2016
</th></tr><tr><th colspan=2 class=sub>
<font color="blue"><a href="http://jenkins.ovirt.org/">00 Unstable Jobs (Production)</a></font>
</th></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-node-ng_master_build-artifacts-el7-x86...">ovirt-node-ng_master_build-artifacts-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-node-ng_ovirt-3.6_build-artifacts-el7-...">ovirt-node-ng_ovirt-3.6_build-artifacts-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-node-ng_ovirt-4.0-snapshot_build-artif...">ovirt-node-ng_ovirt-4.0-snapshot_build-artifacts-el7-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/ovirt-release_master_build-artifacts-all-x86...">ovirt-release_master_build-artifacts-all-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/repos_master_check-closure_fc24_merged/">repos_master_check-closure_fc24_merged</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
<tr><td>
<a href="http://jenkins.ovirt.org/job/vdsm_4.0_check-merged-fc23-x86_64/">vdsm_4.0_check-merged-fc23-x86_64</a>
</td><td>
This job is automatically updated by jenkins job builder, any manual
change will be lost in the next update. If you want to make permanent
changes, check out the <a href="http://gerrit.ovirt.org/gitweb?p=jenkins.git;a=tree;h=refs/heads/master;h...">
jenkins</a> repo.
<!-- Managed by Jenkins Job Builder -->
</td></tr>
------=_Part_307_1273890124.1474930807610--
8 years, 1 month
Build failed in Jenkins: ovirt_3.6_system-tests #544
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/544/changes>
Changes:
[Yaniv Kaul] Fix Glance provider list test
------------------------------------------
[...truncated 709 lines...]
## took 1330 seconds
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log enties: logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/basic_suite_3.6.sh.log
##!
+ true
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
Took 1153 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=3.6
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_3.6_system-tests] $ /bin/bash -xe /tmp/hudson7903787470715292032.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=3.6
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
+ OVIRT_SUITE=3.6
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/544/artifact/exported...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/544/artifact/exported...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ mv <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/544/artifact/exported...>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_3.6_system-tests] $ /bin/bash -xe /tmp/hudson8034640259747378390.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
./ovirt-system-tests/logs/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/basic_suite_3.6.sh.log
+ rm -rf ./ovirt-system-tests/logs
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-fedora-23-x86_64.fc23.cfg
+ mock_root=mocker-fedora-23-x86_64.fc23
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-fedora-23-x86_64.fc23'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests> --root=mocker-fedora-23-x86_64.fc23 --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests....> Using default...
INFO: mock.py version 1.2.18 starting (python version = 3.5.1)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
+ mock_root=fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ [[ -n fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
Archiving artifacts
8 years, 1 month
[JIRA] (OVIRT-723) otopi jobs using python3 fail on fedora 24
by Yedidyah Bar David (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-723?page=com.atlassian.jira... ]
Yedidyah Bar David commented on OVIRT-723:
------------------------------------------
On Sun, Sep 25, 2016 at 6:12 PM, eyal edri [Administrator] (oVirt
If you check original [2] you see that python3-devel was installed.
I did some more work on this subject today, and final result is:
Current intended patch [1] fails on jenkins fedora 24 job, passes centos7.
A hack [2] that zeros dnf.conf makes it succeed on both.
I don't mind reversing their order for the git log (and not merge a
"broken" patch) until current ticket is solved, and then revert [2].
Best,
[1] https://gerrit.ovirt.org/#/c/59831/28
[2] https://gerrit.ovirt.org/#/c/64000/11
--
Didi
> otopi jobs using python3 fail on fedora 24
> ------------------------------------------
>
> Key: OVIRT-723
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-723
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: Yedidyah Bar David
> Assignee: infra
>
> Hi,
> Patch [1] fails jenkins [2] like this:
> 11:35:21 [ INFO ] DNF Repository updates-testing is listed more than
> once in the configuration
> 11:35:21 [ INFO ] DNF Repository updates-testing-debuginfo is listed
> more than once in the configuration
> 11:35:21 [ INFO ] DNF Repository updates is listed more than once in
> the configuration
> 11:35:21 [ INFO ] DNF Repository updates-debuginfo is listed more
> than once in the configuration
> 11:35:21 [ INFO ] DNF Repository fedora is listed more than once in
> the configuration
> 11:35:21 [ INFO ] DNF Repository fedora-debuginfo is listed more than
> once in the configuration
> 11:35:21 [ INFO ] DNF Downloading 1 files, 0.00KB
> 11:35:21 [ INFO ] DNF Downloading 1 files, 0.00KB
> 11:35:21 [ INFO ] DNF Failed to synchronize cache for repo 'fedora', disabling.
> 11:35:21 [ INFO ] DNF Failed to synchronize cache for repo 'updates',
> disabling.
> 11:35:21 [ INFO ] Stage: Environment packages setup
> 11:35:21 [ INFO ] DNF Repository updates-testing is listed more than
> once in the configuration
> 11:35:21 [ INFO ] DNF Repository updates-testing-debuginfo is listed
> more than once in the configuration
> 11:35:21 [ INFO ] DNF Repository updates is listed more than once in
> the configuration
> 11:35:21 [ INFO ] DNF Repository updates-debuginfo is listed more
> than once in the configuration
> 11:35:21 [ INFO ] DNF Repository fedora is listed more than once in
> the configuration
> 11:35:21 [ INFO ] DNF Repository fedora-debuginfo is listed more than
> once in the configuration
> 11:35:21 [ INFO ] DNF Downloading 1 files, 0.00KB
> 11:35:21 [ INFO ] DNF Downloading 1 files, 0.00KB
> 11:35:21 [ INFO ] DNF Failed to synchronize cache for repo 'fedora', disabling.
> 11:35:21 [ INFO ] DNF Failed to synchronize cache for repo 'updates',
> disabling.
> 11:35:21 [ ERROR ] DNF Cannot queue package 'iproute': no package matched
> 11:35:21 [ ERROR ] Failed to execute stage 'Environment packages
> setup': no package matched
> I suspected, based on the log, that something is broken about dnf
> configuration, so pushed [3] and ran the job again [4] with [3]
> cherry-picked, and it succeeded. I thought that's enough for a
> verification, so asked to merge it, and it was merged. Later on, lago
> tests started breaking [5] with:
> 09:37:44 Error: nothing provides repoman >= 2.0.12 needed by
> python-lago-ovirt-0.24.0-1.fc23.noarch
> So [3] was reverted [6], Currently pending, but I expect it to be merged soon.
> So we need a better solution.
> While investigating this, Nadav partially understood the issue - we have, at
> certain points in mock_runner, both /etc/yum.conf and /etc/yum/yum.conf.
> Not sure why and whether we need both.
> We tried also various variations on this patch in [7][8][9][10], none worked.
> Probably better to fully support dnf instead of this hack, not sure
> what this requires.
> Thanks,
> [1] https://gerrit.ovirt.org/59831
> [2] http://jenkins.ovirt.org/job/otopi_master_check-patch-fc24-x86_64/44/console
> [3] https://gerrit.ovirt.org/63249
> [4] http://jenkins.ovirt.org/job/otopi_master_check-patch-fc24-x86_64/46/
> [5] http://jenkins.ovirt.org/job/lago_master_check-merged-fc23-x86_64/205/con...
> [6] https://gerrit.ovirt.org/63405
> [7] https://gerrit.ovirt.org/63386
> [8] http://jenkins.ovirt.org/job/lago_master_check-merged-fc23-x86_64/203
> [9] http://jenkins.ovirt.org/job/lago_master_check-merged-fc23-x86_64/204/
> [10] http://jenkins.ovirt.org/job/lago_master_check-merged-fc23-x86_64/205/
> --
> Didi
--
This message was sent by Atlassian JIRA
(v1000.362.1#100014)
8 years, 1 month
[JIRA] (OVIRT-723) otopi jobs using python3 fail on fedora 24
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-723?page=com.atlassian.jira... ]
eyal edri [Administrator] commented on OVIRT-723:
-------------------------------------------------
[~didi(a)redhat.com] did you try adding python3-devel to the .packages files and see if it solves the issue?
> otopi jobs using python3 fail on fedora 24
> ------------------------------------------
>
> Key: OVIRT-723
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-723
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: Yedidyah Bar David
> Assignee: infra
>
> Hi,
> Patch [1] fails jenkins [2] like this:
> 11:35:21 [ INFO ] DNF Repository updates-testing is listed more than
> once in the configuration
> 11:35:21 [ INFO ] DNF Repository updates-testing-debuginfo is listed
> more than once in the configuration
> 11:35:21 [ INFO ] DNF Repository updates is listed more than once in
> the configuration
> 11:35:21 [ INFO ] DNF Repository updates-debuginfo is listed more
> than once in the configuration
> 11:35:21 [ INFO ] DNF Repository fedora is listed more than once in
> the configuration
> 11:35:21 [ INFO ] DNF Repository fedora-debuginfo is listed more than
> once in the configuration
> 11:35:21 [ INFO ] DNF Downloading 1 files, 0.00KB
> 11:35:21 [ INFO ] DNF Downloading 1 files, 0.00KB
> 11:35:21 [ INFO ] DNF Failed to synchronize cache for repo 'fedora', disabling.
> 11:35:21 [ INFO ] DNF Failed to synchronize cache for repo 'updates',
> disabling.
> 11:35:21 [ INFO ] Stage: Environment packages setup
> 11:35:21 [ INFO ] DNF Repository updates-testing is listed more than
> once in the configuration
> 11:35:21 [ INFO ] DNF Repository updates-testing-debuginfo is listed
> more than once in the configuration
> 11:35:21 [ INFO ] DNF Repository updates is listed more than once in
> the configuration
> 11:35:21 [ INFO ] DNF Repository updates-debuginfo is listed more
> than once in the configuration
> 11:35:21 [ INFO ] DNF Repository fedora is listed more than once in
> the configuration
> 11:35:21 [ INFO ] DNF Repository fedora-debuginfo is listed more than
> once in the configuration
> 11:35:21 [ INFO ] DNF Downloading 1 files, 0.00KB
> 11:35:21 [ INFO ] DNF Downloading 1 files, 0.00KB
> 11:35:21 [ INFO ] DNF Failed to synchronize cache for repo 'fedora', disabling.
> 11:35:21 [ INFO ] DNF Failed to synchronize cache for repo 'updates',
> disabling.
> 11:35:21 [ ERROR ] DNF Cannot queue package 'iproute': no package matched
> 11:35:21 [ ERROR ] Failed to execute stage 'Environment packages
> setup': no package matched
> I suspected, based on the log, that something is broken about dnf
> configuration, so pushed [3] and ran the job again [4] with [3]
> cherry-picked, and it succeeded. I thought that's enough for a
> verification, so asked to merge it, and it was merged. Later on, lago
> tests started breaking [5] with:
> 09:37:44 Error: nothing provides repoman >= 2.0.12 needed by
> python-lago-ovirt-0.24.0-1.fc23.noarch
> So [3] was reverted [6], Currently pending, but I expect it to be merged soon.
> So we need a better solution.
> While investigating this, Nadav partially understood the issue - we have, at
> certain points in mock_runner, both /etc/yum.conf and /etc/yum/yum.conf.
> Not sure why and whether we need both.
> We tried also various variations on this patch in [7][8][9][10], none worked.
> Probably better to fully support dnf instead of this hack, not sure
> what this requires.
> Thanks,
> [1] https://gerrit.ovirt.org/59831
> [2] http://jenkins.ovirt.org/job/otopi_master_check-patch-fc24-x86_64/44/console
> [3] https://gerrit.ovirt.org/63249
> [4] http://jenkins.ovirt.org/job/otopi_master_check-patch-fc24-x86_64/46/
> [5] http://jenkins.ovirt.org/job/lago_master_check-merged-fc23-x86_64/205/con...
> [6] https://gerrit.ovirt.org/63405
> [7] https://gerrit.ovirt.org/63386
> [8] http://jenkins.ovirt.org/job/lago_master_check-merged-fc23-x86_64/203
> [9] http://jenkins.ovirt.org/job/lago_master_check-merged-fc23-x86_64/204/
> [10] http://jenkins.ovirt.org/job/lago_master_check-merged-fc23-x86_64/205/
> --
> Didi
--
This message was sent by Atlassian JIRA
(v1000.362.1#100014)
8 years, 1 month
Build failed in Jenkins: ovirt_master_system-tests #573
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_master_system-tests/573/changes>
Changes:
[Yaniv Kaul] Fix Glance provider list test
------------------------------------------
[...truncated 716 lines...]
## took 1864 seconds
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log enties: logs/mocker-fedora-24-x86_64.fc24.basic_suite_master.sh/basic_suite_master.sh.log
##!
+ true
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
Took 1708 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=master
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_master_system-tests] $ /bin/bash -xe /tmp/hudson8157399217711718031.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=master
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/>
+ OVIRT_SUITE=master
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_master_system-tests/573/artifact/expor...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_master_system-tests/573/artifact/expor...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> ]]
+ mv <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> <http://jenkins.ovirt.org/job/ovirt_master_system-tests/573/artifact/expor...>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_master_system-tests] $ /bin/bash -xe /tmp/hudson3168932847316714870.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
./ovirt-system-tests/logs/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.basic_suite_master.sh/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.basic_suite_master.sh/basic_suite_master.sh.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/state.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/build.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.init/root.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.clean_rpmdb/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.clean_rpmdb/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/state.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/build.log
./ovirt-system-tests/logs/mocker-fedora-24-x86_64.fc24.install_packages/root.log
+ rm -rf ./ovirt-system-tests/logs
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-fedora-24-x86_64.fc24.cfg
+ mock_root=mocker-fedora-24-x86_64.fc24
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-fedora-24-x86_64.fc24'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-tests> --root=mocker-fedora-24-x86_64.fc24 --resultdir=<http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te....> Using default...
INFO: mock.py version 1.2.17 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/ovirt-system-te...>
+ mock_root=fedora-24-x86_64-4ddbe48c8f8b7d8c2c3635b52313f04a
+ [[ -n fedora-24-x86_64-4ddbe48c8f8b7d8c2c3635b52313f04a ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep fedora-24-x86_64-4ddbe48c8f8b7d8c2c3635b52313f04a
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/fedora-24-x86_64-4ddbe48c8f8b7d8c2c3635b52313f04a
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_master_system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
Archiving artifacts
8 years, 1 month
Build failed in Jenkins: ovirt_3.6_he-system-tests #475
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/475/>
------------------------------------------
Started by timer
[EnvInject] - Loading node environment variables.
Building remotely on ovirt-srv19.phx.ovirt.org (phx physical integ-tests fc24) in workspace <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
Cloning the remote Git repository
Cloning repository git://gerrit.ovirt.org/ovirt-system-tests.git
> git init <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-tests> # timeout=10
Fetching upstream changes from git://gerrit.ovirt.org/ovirt-system-tests.git
> git --version # timeout=10
> git -c core.askpass=true fetch --tags --progress git://gerrit.ovirt.org/ovirt-system-tests.git +refs/heads/*:refs/remotes/origin/*
> git config remote.origin.url git://gerrit.ovirt.org/ovirt-system-tests.git # timeout=10
> git config --add remote.origin.fetch +refs/heads/*:refs/remotes/origin/* # timeout=10
> git config remote.origin.url git://gerrit.ovirt.org/ovirt-system-tests.git # timeout=10
Cleaning workspace
> git rev-parse --verify HEAD # timeout=10
No valid HEAD. Skipping the resetting
> git clean -fdx # timeout=10
Pruning obsolete local branches
Fetching upstream changes from git://gerrit.ovirt.org/ovirt-system-tests.git
> git -c core.askpass=true fetch --tags --progress git://gerrit.ovirt.org/ovirt-system-tests.git refs/heads/master --prune
> git rev-parse FETCH_HEAD^{commit} # timeout=10
Checking out Revision b13fd0b4983443c2a15268b8ac747ea147a1f47b (origin/master)
> git config core.sparsecheckout # timeout=10
> git checkout -f b13fd0b4983443c2a15268b8ac747ea147a1f47b
> git rev-parse FETCH_HEAD^{commit} # timeout=10
> git rev-list 56df7010767905a96ee2a8191cb365c856807d52 # timeout=10
> git branch -a # timeout=10
> git rev-parse remotes/origin/master^{commit} # timeout=10
Cloning the remote Git repository
Cloning repository git://gerrit.ovirt.org/jenkins.git
> git init <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/jenkins> # timeout=10
Fetching upstream changes from git://gerrit.ovirt.org/jenkins.git
> git --version # timeout=10
> git -c core.askpass=true fetch --tags --progress git://gerrit.ovirt.org/jenkins.git +refs/heads/*:refs/remotes/origin/*
ERROR: Error cloning remote repo 'origin'
hudson.plugins.git.GitException: Command "git -c core.askpass=true fetch --tags --progress git://gerrit.ovirt.org/jenkins.git +refs/heads/*:refs/remotes/origin/*" returned status code 128:
stdout:
stderr: fatal: unable to connect to gerrit.ovirt.org:
gerrit.ovirt.org[0: 107.22.212.69]: errno=Connection timed out
at org.jenkinsci.plugins.gitclient.CliGitAPIImpl.launchCommandIn(CliGitAPIImpl.java:1640)
at org.jenkinsci.plugins.gitclient.CliGitAPIImpl.launchCommandWithCredentials(CliGitAPIImpl.java:1388)
at org.jenkinsci.plugins.gitclient.CliGitAPIImpl.access$300(CliGitAPIImpl.java:62)
at org.jenkinsci.plugins.gitclient.CliGitAPIImpl$1.execute(CliGitAPIImpl.java:313)
at org.jenkinsci.plugins.gitclient.CliGitAPIImpl$2.execute(CliGitAPIImpl.java:505)
at org.jenkinsci.plugins.gitclient.RemoteGitImpl$CommandInvocationHandler$1.call(RemoteGitImpl.java:152)
at org.jenkinsci.plugins.gitclient.RemoteGitImpl$CommandInvocationHandler$1.call(RemoteGitImpl.java:145)
at hudson.remoting.UserRequest.perform(UserRequest.java:152)
at hudson.remoting.UserRequest.perform(UserRequest.java:50)
at hudson.remoting.Request$2.run(Request.java:332)
at hudson.remoting.InterceptingExecutorService$1.call(InterceptingExecutorService.java:68)
at java.util.concurrent.FutureTask.run(FutureTask.java:266)
at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
at java.lang.Thread.run(Thread.java:745)
at ......remote call to ovirt-srv19.phx.ovirt.org(Native Method)
at hudson.remoting.Channel.attachCallSiteStackTrace(Channel.java:1416)
at hudson.remoting.UserResponse.retrieve(UserRequest.java:252)
at hudson.remoting.Channel.call(Channel.java:781)
at org.jenkinsci.plugins.gitclient.RemoteGitImpl$CommandInvocationHandler.execute(RemoteGitImpl.java:145)
at sun.reflect.GeneratedMethodAccessor512.invoke(Unknown Source)
at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
at java.lang.reflect.Method.invoke(Method.java:606)
at org.jenkinsci.plugins.gitclient.RemoteGitImpl$CommandInvocationHandler.invoke(RemoteGitImpl.java:131)
at com.sun.proxy.$Proxy59.execute(Unknown Source)
at hudson.plugins.git.GitSCM.retrieveChanges(GitSCM.java:1013)
at hudson.plugins.git.GitSCM.checkout(GitSCM.java:1053)
at org.jenkinsci.plugins.multiplescms.MultiSCM.checkout(MultiSCM.java:129)
at hudson.scm.SCM.checkout(SCM.java:485)
at hudson.model.AbstractProject.checkout(AbstractProject.java:1269)
at hudson.model.AbstractBuild$AbstractBuildExecution.defaultCheckout(AbstractBuild.java:607)
at jenkins.scm.SCMCheckoutStrategy.checkout(SCMCheckoutStrategy.java:86)
at hudson.model.AbstractBuild$AbstractBuildExecution.run(AbstractBuild.java:529)
at hudson.model.Run.execute(Run.java:1738)
at hudson.model.FreeStyleBuild.run(FreeStyleBuild.java:43)
at hudson.model.ResourceController.execute(ResourceController.java:98)
at hudson.model.Executor.run(Executor.java:410)
ERROR: null
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=3.6
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_3.6_he-system-tests] $ /bin/bash -xe /tmp/hudson3346657391820406336.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=3.6
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
+ OVIRT_SUITE=3.6
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/475/artifact/expor...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/475/artifact/expor...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/ovirt-system-te...> ]]
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_3.6_he-system-tests] $ /bin/bash -xe /tmp/hudson71586615209509442.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n '' ]]
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ false
+ shopt -u nullglob
+ sudo rm -Rf '/var/cache/mock/*'
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_3.6_he-system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
ERROR: Step ?Publish JUnit test result report? failed: No test report files were found. Configuration error?
Archiving artifacts
8 years, 1 month
Updating permissions on gerrit.ovirt.org
by Shlomo Ben David
Hi All,
On the upcoming days i'm going to update permissions on gerrit.ovirt.org
server.
The changes shouldn't reflect on the current state but if you'll encounter
with any permission issues or other issues related to gerrit.ovirt.org
server please let me or infra(a)ovirt.org to know and we'll handle it ASAP.
Best Regards,
Shlomi Ben-David | DevOps Engineer | Red Hat ISRAEL
RHCSA | RHCE
IRC: shlomibendavid (on #rhev-integ, #rhev-dev, #rhev-ci)
OPEN SOURCE - 1 4 011 && 011 4 1
8 years, 1 month
[VDSM] new lvm tests failing only on CI - mock env limitation?
by Nir Soffer
Hi all,
I added couple of new lvm tests, creating a vg based on a loop
device and performing several operations on the lvs.
All the test pass on my laptop (fedora 24, no special configuration)
and my rhel host (7.3 beta, configured for vdsm).
On the CI all the tests fail with the error bellow.
It seems that the first issue is having use_lvmetad = 1 in /etc/lvm/lvm.conf
but lvm2-lvmetad.socket is broken.
The code try to use pvscan --cache only if
systemctl status lvm2-lvmetad.socket
succeeds - but later we get:
Error: Command ('pvscan', '--cache') failed with rc=5 out='' err='
/run/lvm/lvmetad.socket: connect failed: No such file or directory\n
WARNING: Failed to connect to lvmetad. Falling back to internal
scanning.\n Cannot proceed since lvmetad is not active.\n'
This error currently hides previous failure:
*07:04:30* 2016-09-25 07:02:55,632 DEBUG [root] (MainThread)
/usr/bin/taskset --cpu-list 0-3 lvcreate -n ovirt-lv-1 -L 128m
ovirt-vg (cwd None)*07:04:30* 2016-09-25 07:02:55,714 DEBUG [root]
(MainThread) FAILED: <err> = ' /run/lvm/lvmetad.socket: connect
failed: No such file or directory\n WARNING: Failed to connect to
lvmetad. Falling back to internal scanning.\n
/dev/ovirt-vg/ovirt-lv-1: not found: device not cleared\n Aborting.
Failed to wipe start of new LV.\n'; <rc> = 5
But it looks like they are related.
Is it possible to change the ci configuration? do we have similar test
running on the ci?
See https://gerrit.ovirt.org/#/c/64367/
and the next patches in this topic.
Here are al the tests, all fail in the CI in the same way:
https://gerrit.ovirt.org/#/c/64370/3/tests/storage_lvm_test.py
I can filter the tests on the ci, but I like them to run automatically.
Thanks,
Nir
*07:04:30* ======================================================================*07:04:30*
ERROR: test_deactivate_unused_ovirt_lvs
(storage_lvm_test.TestDeactivation)*07:04:30*
----------------------------------------------------------------------*07:04:30*
Traceback (most recent call last):*07:04:30* File
"/home/jenkins/workspace/vdsm_master_check-patch-fc24-x86_64/vdsm/tests/testValidation.py",
line 97, in wrapper*07:04:30* return f(*args, **kwargs)*07:04:30*
File "/home/jenkins/workspace/vdsm_master_check-patch-fc24-x86_64/vdsm/tests/storage_lvm_test.py",
line 74, in test_deactivate_unused_ovirt_lvs*07:04:30*
run("vgchange", "-an", "ovirt-vg")*07:04:30* File
"/usr/lib64/python2.7/contextlib.py", line 35, in __exit__*07:04:30*
self.gen.throw(type, value, traceback)*07:04:30* File
"/home/jenkins/workspace/vdsm_master_check-patch-fc24-x86_64/vdsm/tests/storage_lvm_test.py",
line 129, in fake_env*07:04:30* run("pvscan", "--cache")*07:04:30*
File "/home/jenkins/workspace/vdsm_master_check-patch-fc24-x86_64/vdsm/tests/storage_lvm_test.py",
line 87, in run*07:04:30* raise cmdutils.Error(cmd, rc, out,
err)*07:04:30* Error: Command ('pvscan', '--cache') failed with rc=5
out='' err=' /run/lvm/lvmetad.socket: connect failed: No such file or
directory\n WARNING: Failed to connect to lvmetad. Falling back to
internal scanning.\n Cannot proceed since lvmetad is not
active.\n'*07:04:30* -------------------- >> begin captured logging <<
--------------------*07:04:30* 2016-09-25 07:02:55,386 DEBUG [root]
(MainThread) /usr/bin/taskset --cpu-list 0-3 losetup --find --show
/var/tmp/tmpRGpRw9/backing_file (cwd None)*07:04:30* 2016-09-25
07:02:55,400 DEBUG [root] (MainThread) SUCCESS: <err> = ''; <rc> =
0*07:04:30* 2016-09-25 07:02:55,400 DEBUG [test] (MainThread) Using
loop device /dev/loop0*07:04:30* 2016-09-25 07:02:55,401 DEBUG
[test] (MainThread) Creating ovirt lvs*07:04:30* 2016-09-25
07:02:55,401 DEBUG [root] (MainThread) /usr/bin/taskset --cpu-list
0-3 pvcreate -ff /dev/loop0 (cwd None)*07:04:30* 2016-09-25
07:02:55,495 DEBUG [root] (MainThread) SUCCESS: <err> = '
/run/lvm/lvmetad.socket: connect failed: No such file or directory\n
WARNING: Failed to connect to lvmetad. Falling back to internal
scanning.\n'; <rc> = 0*07:04:30* 2016-09-25 07:02:55,495 DEBUG
[root] (MainThread) /usr/bin/taskset --cpu-list 0-3 vgcreate ovirt-vg
/dev/loop0 (cwd None)*07:04:30* 2016-09-25 07:02:55,589 DEBUG [root]
(MainThread) SUCCESS: <err> = ' /run/lvm/lvmetad.socket: connect
failed: No such file or directory\n WARNING: Failed to connect to
lvmetad. Falling back to internal scanning.\n'; <rc> = 0*07:04:30*
2016-09-25 07:02:55,589 DEBUG [root] (MainThread) /usr/bin/taskset
--cpu-list 0-3 vgchange --addtag RHAT_storage_domain (cwd
None)*07:04:30* 2016-09-25 07:02:55,631 DEBUG [root] (MainThread)
SUCCESS: <err> = ' /run/lvm/lvmetad.socket: connect failed: No such
file or directory\n WARNING: Failed to connect to lvmetad. Falling
back to internal scanning.\n'; <rc> = 0*07:04:30* 2016-09-25
07:02:55,632 DEBUG [root] (MainThread) /usr/bin/taskset --cpu-list
0-3 lvcreate -n ovirt-lv-1 -L 128m ovirt-vg (cwd None)*07:04:30*
2016-09-25 07:02:55,714 DEBUG [root] (MainThread) FAILED: <err> = '
/run/lvm/lvmetad.socket: connect failed: No such file or directory\n
WARNING: Failed to connect to lvmetad. Falling back to internal
scanning.\n /dev/ovirt-vg/ovirt-lv-1: not found: device not cleared\n
Aborting. Failed to wipe start of new LV.\n'; <rc> = 5*07:04:30*
2016-09-25 07:02:55,714 DEBUG [root] (MainThread) /usr/bin/taskset
--cpu-list 0-3 losetup --detach /dev/loop0 (cwd None)*07:04:30*
2016-09-25 07:02:55,734 DEBUG [root] (MainThread) SUCCESS: <err> =
''; <rc> = 0*07:04:30* 2016-09-25 07:02:55,735 DEBUG [root]
(MainThread) /usr/bin/taskset --cpu-list 0-3 /sbin/udevadm settle
--timeout=5 (cwd None)*07:04:30* 2016-09-25 07:02:55,746 DEBUG
[root] (MainThread) SUCCESS: <err> = ''; <rc> = 0*07:04:30* 2016-09-25
07:02:55,746 DEBUG [root] (MainThread) /usr/bin/taskset --cpu-list
0-3 pvscan --cache (cwd None)*07:04:30* 2016-09-25 07:02:55,758 DEBUG
[root] (MainThread) FAILED: <err> = ' /run/lvm/lvmetad.socket:
connect failed: No such file or directory\n WARNING: Failed to
connect to lvmetad. Falling back to internal scanning.\n Cannot
proceed since lvmetad is not active.\n'; <rc> = 5*07:04:43*
--------------------- >> end captured logging << ---------------------
8 years, 1 month